learning
Assignment assignees: completion %, weak units, struggling topics.
Assignment assignees: completion %, weak units, struggling topics.
OpenAPI specificationPOST
/api/v1/learning/assignment-cohortAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/learning/assignment-cohort' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"assignmentId": "<assignmentId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"assignmentId": {
"type": "string"
}
},
"required": [
"assignmentId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"assignmentId": {
"type": "string"
},
"courseId": {
"type": "string"
},
"courseTitle": {
"type": "string"
},
"assigneeCount": {
"type": "number"
},
"completedCount": {
"type": "number"
},
"completionPercent": {
"type": "number"
},
"avgScore": {
"type": "number",
"nullable": true
},
"strugglingTopics": {
"type": "array",
"items": {
"type": "object",
"properties": {
"unitId": {
"type": "string"
},
"unitTitle": {
"type": "string"
},
"topicId": {
"type": "string"
},
"topicTitle": {
"type": "string"
},
"completion": {
"type": "number"
},
"avgScore": {
"type": "number",
"nullable": true
},
"avgTimeSeconds": {
"type": "number",
"nullable": true
},
"struggleScore": {
"type": "number"
}
},
"required": [
"unitId",
"unitTitle",
"topicId",
"topicTitle",
"completion",
"avgScore",
"avgTimeSeconds",
"struggleScore"
]
}
},
"weakUnits": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"orderIndex": {
"type": "number"
},
"topicCount": {
"type": "number"
},
"projectCount": {
"type": "number"
},
"projectCompletion": {
"type": "number",
"nullable": true
},
"avgScore": {
"type": "number",
"nullable": true
},
"minScore": {
"type": "number",
"nullable": true
},
"maxScore": {
"type": "number",
"nullable": true
},
"completion": {
"type": "number"
},
"avgTimeSeconds": {
"type": "number",
"nullable": true
}
},
"required": [
"id",
"title",
"orderIndex",
"topicCount",
"projectCount",
"projectCompletion",
"avgScore",
"minScore",
"maxScore",
"completion",
"avgTimeSeconds"
]
}
}
},
"required": [
"assignmentId",
"courseId",
"courseTitle",
"assigneeCount",
"completedCount",
"completionPercent",
"avgScore",
"strugglingTopics",
"weakUnits"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}